> For the complete documentation index, see [llms.txt](https://docs.overdare.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.overdare.com/korean/development/api-reference/enums/sortorder.md).

# SortOrder

## Overview

SortOrder는 컨테이너의 자식 요소들이 정렬되는 기준을 지정하는 Enum입니다.

GuiBase 및 그 하위 클래스에서 SortOrder 속성으로 사용되며, 자식 요소들이 어떤 순서로 정렬되어 표시될지를 결정합니다.

## Items

| Name        | Value | Description                          |
| ----------- | ----- | ------------------------------------ |
| Name        | 0     | 자식 요소들을 이름의 알파벳 순서대로 정렬합니다.          |
| LayoutOrder | 2     | 자식 요소들을 LayoutOrder 속성 값 순서대로 정렬합니다. |

## See also

{% content-ref url="/pages/SDYrpXnE32K4RLlF2ije" %}
[UIGridStyleLayout](/korean/development/api-reference/classes/uigridstylelayout.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.overdare.com/korean/development/api-reference/enums/sortorder.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
